Subject: bug#2244: 23.0.90; longlines-mode arrow key disabling bug

From: Jim Apple <[email-masked]>
Date: Thu, 12 Feb 2009 08:57:14 -0800

On Thu, Feb 12, 2009 at 5:57 AM, Chong Yidong <[email-masked]> wrote:
> I'm afraid I can't reproduce this bug.  Could you provide an exact
> recipe, containing precise keystrokes, starting from `emacs -Q -nw'?

In GNU Emacs 23.0.90.2 (i686-pc-linux-gnu, GTK+ Version 2.14.7)
 of 2009-02-08 on rice
configured using `configure  '--with-x-toolkit' '--with-xft' 'CC=gcc''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=imsettings
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  longlines-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  use-hard-newlines: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
ESC [ > 1 ; 1 7 0 4 ; 0 c ESC x l o n TAB RET ESC x
l o n g TAB s h TAB RET 1 2 3 RET 1 2 3 4 ESC O D ESC
O A ESC O A ESC x r e p o TAB r TAB RET

Recent messages:
("emacs" "-Q")
For information about GNU Emacs and the GNU system, type C-h C-a.
Longlines mode enabled
Making completion list...

Here's the result when I do the same without "-nw". The bugs show up
just the same:

Recent input:
M-x l o n g l i n e s - m o d e <return> M-x l o n
g l i n e s - s h o w - h a r d - n e w l i n e s <return>
1 2 3 <return> 1 2 3 4 <left> <up> <up> M-x r e p o
r t <return>